package cn.com.qmth.examcloud.support.examing;

import cn.com.qmth.examcloud.question.commons.core.question.AnswerType;
import cn.com.qmth.examcloud.question.commons.core.question.QuestionType;
import lombok.Data;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import java.io.Serializable;

@Data
public class ExamQuestion implements Serializable {

    private static final long serialVersionUID = -6141069483774400912L;

    /**
     * 作答记录是否在mongo
     */
    private Boolean isInMongo;

    /**
     * 作答记录在mongo中的id
     */
    private String examQuestionTempId;

    /**
     * 考试记录Data Id
     */
    private Long examRecordDataId;
    /**
     * 大题号
     */
    private Integer mainNumber;
    /**
     * 原题ID
     */
    private String questionId;
    /**
     * 顺序
     */
    private Integer order;
    /**
     * 小题分数
     */
    private Double questionScore;
    /**
     * 小题类型
     */
    private QuestionType questionType;
    /**
     * 标准答案
     */
    private String correctAnswer;
    /**
     * 考生作答
     */
    private String studentAnswer;
    /**
     * 学生小题得分
     */
    private Double studentScore;
    /**
     * 是否作答
     */
    private Boolean isAnswer;
    /**
     * 是否标记
     */
    private Boolean isSign;

    /**
     * 选项排序值
     */
    private Integer[] optionPermutation;

    /**
     * 音频播放次数
     */
    private String audioPlayTimes;
    /**
     * 题目作答类型
     */
    @Enumerated(EnumType.STRING)
    private AnswerType answerType;

}
